Skip to main content
GET
/
api
/
aigateway
/
v1
/
endpoints
Get all active Gateway LLMs accessible by the user
curl --request GET \
  --url https://api.example.com/api/aigateway/v1/endpoints \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "endpoints": [
    {
      "creationDate": "2022-04-23T18:25:43.511Z",
      "endpointId": "62604702b7e5d347dbe7a909",
      "endpointName": "completions",
      "endpointType": "llm/v1/completions",
      "modelConfig": {},
      "modelName": "gpt-4",
      "modelProvider": "openai"
    }
  ],
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

offset
integer

How many Endpoints from the start to skip. Defaults to 0.

limit
integer

Max number of Endpoints to fetch. Defaults to fetching all.

sortByField
enum<string>

The field by which to sort the list of returned endpoints. Defaults to creation date

Available options:
creationDate,
endpointName,
endpointType,
modelProvider,
modelName
shouldSortAscending
boolean

Boolean whether to sort Endpoints ascending or descending. Defaults to false (descending).

searchFilter
string

Search string by which to filter the list of returned endpoints

Response

Success

endpoints
object[]
required
metadata
object
required